- Qt 6.10
- Qt GUI
- C++ Classes
- ScaledPixmapArgument
- Qt 6.10.2 Reference Documentation

# QIconEngine::ScaledPixmapArgument Struct

struct QIconEngine::ScaledPixmapArgument

- List of all members, including inherited members

## Public Variables

QIcon::Mode | mode
QPixmap | pixmap
qreal | scale
QSize | size
QIcon::State | state

## Detailed Description

This struct represents arguments to the virtual_hook() function when the id parameter is QIconEngine::ScaledPixmapHook.

The struct provides a way for icons created via QIcon::fromTheme() to return pixmaps that are designed for the current device pixel ratio. The scale for such an icon is specified using the Scale directory key in the appropriate `index.theme` file.

Icons created via other approaches will return the same result as a call to pixmap() would, and continue to benefit from Qt's "@nx" high DPI syntax.

See also virtual_hook(), QIconEngine::IconEngineHook, and High DPI Icons.

## Member Variable Documentation

### QIcon::Mode ScaledPixmapArgument::mode

This variable holds the requested mode of the pixmap.

See also QIcon::Mode.

### QPixmap ScaledPixmapArgument::pixmap

This variable holds the pixmap that is the best match for the given size, mode, state, and scale. This is an output parameter that is set after calling virtual_hook().

### qreal ScaledPixmapArgument::scale

This variable holds the requested scale of the pixmap.

### QSize ScaledPixmapArgument::size

This variable holds the requested size of the pixmap.

### QIcon::State ScaledPixmapArgument::state

This variable holds the requested state of the pixmap.

See also QIcon::State.